- Main Page
- Namespaces
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# BuddhaLib::HardwareEffect Class Reference

ハードウェアエフェクト More...

`#include <BuddhaHardwareEffect.h>`

Inheritance diagram for BuddhaLib::HardwareEffect:

List of all members.

## Public Member Functions
void | Begin ()
| エフェクトを開始する
void | End ()
| エフェクトを開始する
void | SetCurrentTechnique (LPCSTR name)
| カレントテクニックを選択する
void | SetCurrentTechnique (String &name)
| カレントテクニックを選択する
void | _setCurrentTechnique (_BuddhaHandle handle)
| カレントテクニックを選択する
void | SetParameter (LPCSTR handle, const Matrix &mat)
| マトリクスを指定したパラメータにセットする
void | SetParameter (LPCSTR handle, const Matrix *, unsigned int count)
| マトリクスの配列を指定したパラメータにセットする
void | SetParameter (LPCSTR handle, const D3DXVECTOR4 &vec)
void | SetParameter (LPCSTR handle, const Vector3 &vec)
| Vector3 の値を指定したパラメータにセットする.
void | SetParameter (LPCSTR handle, const Vector4 &vec)
| Vector4 の値を指定したパラメータにセットする.
void | SetParameter (LPCSTR handle, const Texture2D *tex)
| テクスチャを指定したパラメータにセットする
void | SetParameter (LPCSTR handle, const float value)
| float 値を指定したパラメータにセットする
void | SetParameter (LPCSTR handle, const Color &color)
| 色の値を指定したパラメータにセットする
void | _commit (void)
| エフェクト開始以降に書きこんだパラメータをシェーダに送る
bool | _isGpuEffect (void) const
| このエフェクトパスがプログラマブルシェーダであるかどうかを取得する
void | SetProjectionMatrix (const Matrix &projMat)
| プロジェクション行列の設定
void | SetViewMatrix (const Matrix &viewMat)
| ビュー行列の設定
void | SetWorldMatrix (const Matrix &worldMat)
| ワールド行列の設定
void | SetLightingEnabled (bool bLighting)
| ライト計算を有効にするか
IHardwareDirectionalLight * | GetLight (int idx)
  | 指定されたインデックスのライトを取得 Exceptions:
  | ArgumentOutOfRangeException | 指定インデックス番号のライトが存在しない
void | SetAmbientColor (const Color &color)
| アンビエント色の設定

## Detailed Description

ハードウェアエフェクト

Remarks:
  このエフェクトは（現時点で）、ダミーのエフェクトクラスであり、このクラス を使用した場合、ライブラリのビルトイン描画ロジックにおいてハードウェア固 定機能パイプラインを用いた描画が行われます。

  BasicEffect と同様の意味があり、また、将来プログラマブルシェーダをもたな いハードウェアで動作させることを考えて定義されています。

  この HardwareEffect は SetParameter() やテクニックの切り替えなどはすべて 無視します。また、固定機能を使うために特別なテクニックと特別なパスのみを 収録します。

## Member Function Documentation

void BuddhaLib::HardwareEffect::SetParameter | ( | LPCSTR | handle,
|  | const D3DXVECTOR4 & | vec |
| ) |  |  | `[inline, virtual]`

D3DXVECTOR4 をパラメータにセットする

Reimplemented from BuddhaLib::Effect.